aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2022-06-03 08:24:23 +0200
committerSven Gothel <[email protected]>2022-06-03 08:24:23 +0200
commitb36ab76aa95b2cb22b82f8bbcee2c86f6763625f (patch)
treea1c9a0847ddef093b173163d54b04b22e3287899 /scripts
parentd09593b0a8ec180b8a6b1d925fcd53d3848f14fe (diff)
Fix Doxygen
Diffstat (limited to 'scripts')
-rw-r--r--scripts/rebuild-doc.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/scripts/rebuild-doc.sh b/scripts/rebuild-doc.sh
new file mode 100644
index 0000000..82936dd
--- /dev/null
+++ b/scripts/rebuild-doc.sh
@@ -0,0 +1,49 @@
+#! /bin/sh
+
+sdir=`dirname $(readlink -f $0)`
+rootdir=`dirname $sdir`
+bname=`basename $0 .sh`
+logfile=$bname.log
+rm -f $logfile
+
+. $sdir/setup-machine-arch.sh
+
+if [ -e /usr/lib/jvm/java-17-openjdk-$archabi ] ; then
+ export JAVA_HOME=/usr/lib/jvm/java-17-openjdk-$archabi
+elif [ -e /usr/lib/jvm/java-11-openjdk-$archabi ] ; then
+ export JAVA_HOME=/usr/lib/jvm/java-11-openjdk-$archabi
+fi
+if [ ! -e $JAVA_HOME ] ; then
+ echo $JAVA_HOME does not exist
+ exit 1
+fi
+
+CPU_COUNT=`getconf _NPROCESSORS_ONLN`
+
+# run 'dpkg-reconfigure locales' enable 'en_US.UTF-8'
+export LANG=en_US.UTF-8
+export LC_MEASUREMENT=en_US.UTF-8
+
+buildit() {
+ echo rootdir $rootdir
+ echo logfile $logfile
+ echo CPU_COUNT $CPU_COUNT
+
+ cd $rootdir/build-$archabi
+ rm -rf documentation
+ make -j $CPU_COUNT doc
+ if [ $? -eq 0 ] ; then
+ echo "REBUILD SUCCESS $bname $archabi"
+ rm -f $rootdir/documentation.tar.xz
+ tar caf $rootdir/documentation.tar.xz documentation
+ cd $rootdir
+ return 0
+ else
+ echo "REBUILD FAILURE $bname $archabi"
+ cd $rootdir
+ return 1
+ fi
+}
+
+buildit 2>&1 | tee $logfile
+